MAPITests 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
module_oxctable.c File Reference

Table Object Protocol test suite. More...

## Functions
bool | mapitest_oxctable_Category (struct mapitest *mt)
bool | mapitest_oxctable_CreateBookmark (struct mapitest *mt)
bool | mapitest_oxctable_GetStatus (struct mapitest *mt)
bool | mapitest_oxctable_QueryColumns (struct mapitest *mt)
bool | mapitest_oxctable_QueryRows (struct mapitest *mt)
bool | mapitest_oxctable_Restrict (struct mapitest *mt)
bool | mapitest_oxctable_SeekRow (struct mapitest *mt)
bool | mapitest_oxctable_SeekRowApprox (struct mapitest *mt)
bool | mapitest_oxctable_SeekRowBookmark (struct mapitest *mt)
bool | mapitest_oxctable_SetColumns (struct mapitest *mt)

## Detailed Description

Table Object Protocol test suite.

## Function Documentation

bool mapitest_oxctable_Category | ( | struct mapitest * | mt | ) |

Test the SortTable (0x13), ExpandRow (0x59), CollapseRow(0x5a), GetCollapseState(0x6b) and SetCollapseState (0x6c) operations

This function:

1. Opens the Inbox folder and creates some test content
2. Checks that the content is OK
3. Applies a sort and categorisation
4. Checks the results are as expected.
5. Save away the Row ID and Insatnce Number for the first header
6. Collapse the first category
7. Checks the results are as expected.
8. Save the "collapse state"
9. Expand the first category again
10. Checks the results are as expected
11. Restore the saved "collapse state"
12. Checks the results are as expected
13. Cleans up

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print(), mapitest_print_retval(), and mapitest::mem_ctx.

bool mapitest_oxctable_CreateBookmark | ( | struct mapitest * | mt | ) |

Test the CreateBookmark (0x1b) operation

This function:

1. Opens the Inbox folder and gets the hierarchy table
2. Customize the MAPI table view
3. CreateBookmark for each table's row
4. Free Bookmark for each created bookmark
5. Cleans up

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print_retval_fmt_clean(), and mapitest::mem_ctx.

bool mapitest_oxctable_GetStatus | ( | struct mapitest * | mt | ) |

Test the GetStatus (0x16) operation

This function:

1. Opens the Inbox folder and gets the hierarchy table
2. Call GetStatus
3. Cleans up

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print(), and mapitest_print_retval().

bool mapitest_oxctable_QueryColumns | ( | struct mapitest * | mt | ) |

Test the QueryColumns (0x37) operation

This function:

1. Opens the Inbox folder and gets the hierarchy table

Calls the QueryColumn operation

1. Calls SetColumns on the test folder
2. Checks that QueryColumns on the test folder is correct
3. Cleans up

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print(), and mapitest_print_retval().

bool mapitest_oxctable_QueryRows | ( | struct mapitest * | mt | ) |

Test the QueryRows (0x15) operation

This function:

1. Opens the Inbox folder and gets the hierarchy table
2. Set the required columns
3. Calls QueryRows until the end of the table
4. Open the test folder, and get its contents
5. Calls QueryRows until the end of the test folder
6. Checks the results are as expected.
7. Cleans up

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print(), mapitest_print_retval(), and mapitest::mem_ctx.

bool mapitest_oxctable_Restrict | ( | struct mapitest * | mt | ) |

Test the Restrict (0x14) operation

This function:

1. Opens the Inbox folder and creates some test content
2. Checks that the content is OK
3. Applies a filter
4. Checks the results are as expected.
5. Resets the table
6. Checks the results are as expected.
7. Cleans up

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print(), and mapitest_print_retval().

bool mapitest_oxctable_SeekRow | ( | struct mapitest * | mt | ) |

Test the SeekRow (0x18) operation

This function:

1. Opens the Inbox folder and gets the hierarchy table
2. SeekRow with BOOKMARK_BEGINNING
3. SeekRow with BOOKMARK_END
4. SeekRow with BOOKMARK_CURRENT
5. Cleans up

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_cleanup(), mapitest_common_setup(), and mapitest_print_retval_fmt().

bool mapitest_oxctable_SeekRowApprox | ( | struct mapitest * | mt | ) |

Test the SeekRowApprox (0x1a) operation

This function:

1. Opens the Inbox folder and gets the hierarchy table
2. SeekRowApprox with 0/1, 1/1 and 1/2 fractional values
3. Cleans up

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_cleanup(), mapitest_common_setup(), and mapitest_print_retval_fmt().

bool mapitest_oxctable_SeekRowBookmark | ( | struct mapitest * | mt | ) |

Test the SeekRowBookmark (0x19) operation

This function:

1. Open the Inbox folder and retrieve the hierarchy table
2. Customize the MAPI table view
3. SeekBookmark for each table's row
4. Free Bookmark for each created bookmark

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print_retval(), mapitest_print_retval_fmt_clean(), and mapitest::mem_ctx.

bool mapitest_oxctable_SetColumns | ( | struct mapitest * | mt | ) |

Test the SetColumns (0x12) operation

This function:

1. Opens the Inbox folder and gets the hierarchy table
2. Calls the SetColumns operation
3. Cleans up

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print_retval(), and mapitest::mem_ctx.

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/